• en
  • Язык: ru

FAQ: Установка

Как начать?

  1. Загрузить код.
  2. Установка Django (читайте инструкция по установке).
  3. Прочитайте руководство.
  4. Ознакомьтесь с остальной частью документации и задавайте вопросы, если у вас возникнут проблемы.

Каковы предпосылки Джанго?

Джанго требует Python. Смотрите таблицу в следующем вопросе по версиям Python, которые работают с каждой версией Django. Для некоторых целей могут потребоваться другие библиотеки Python, но вы получите сообщение об этом по мере необходимости.

Для среды разработки - если вы просто хотите поэкспериментировать с Django - вам не нужно устанавливать отдельный веб-сервер; Django поставляется с собственным облегченным сервером разработки. В рабочей среде Django следует спецификации WSGI PEP 3333, что означает, что он может работать на различных серверных платформах. Смотрите Развертывание Django для некоторых популярных альтернатив.

Если вы хотите использовать Django с базой данных, что, вероятно, имеет место, вам также потребуется движок базы данных. Рекомендуется PostgreSQL, потому что мы фанаты PostgreSQL, а также поддерживаются MySQL, SQLite и Oracle.

Какие версии Python можно использовать с Django?

Версия Django Версии Python
1.11 2.7, 3.4, 3.5, 3.6, 3.7 (добавлено в 1.11.17)
2.0 3.4, 3.5, 3.6, 3.7
2.1 3.5, 3.6, 3.7
2.2 3.5, 3.6, 3.7, 3.8 (добавлено в 2.2.8)

Для каждой версии Python официально поддерживается только последняя версия (A.B.C). Вы можете найти последнюю версию для каждой серии на странице загрузки Python.

Как правило, мы будем поддерживать версию Python вплоть до первого выпуска Django LTS включительно, поддержка безопасности которого заканчивается после того, как прекращается поддержка безопасности для этой версии Python. Например, поддержка безопасности Python 3.3 заканчивается в сентябре 2017 года, а поддержка безопасности Django 1.8 LTS заканчивается в апреле 2018 года. Поэтому Django 1.8 является последней версией, поддерживающей Python 3.3.

Какую версию Python я должен использовать с Django?

Рекомендуется Python 3. Django 1.11 - последняя версия, поддерживающая Python 2.7. Поддержка Python 2.7 и Django 1.11 заканчивается в 2020 году.

Поскольку новые версии Python часто бывают быстрее, имеют больше функций и лучше поддерживаются, рекомендуется последняя версия Python 3.

Вы не теряете ничего в Django, используя более старую версию, но вы не пользуетесь улучшениями и оптимизацией в новых версиях Python. Сторонние приложения для использования с Django, конечно, могут устанавливать свои собственные требования к версии.

Должен ли я использовать стабильную версию или версию для разработчиков?

Как правило, если вы используете код в производстве, вы должны использовать стабильную версию. Проект Django публикует полный стабильный выпуск каждые девять месяцев или около того с промежуточными обновлениями исправлений. Эти стабильные выпуски содержат API, на который распространяются наши гарантии обратной совместимости; если вы пишете код для стабильных выпусков, у вас не должно возникнуть проблем с обновлением при выходе следующей официальной версии.

Вернуться на верх